LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 04-05-2004, 10:02 PM   #1
techhost
LQ Newbie
 
Registered: Mar 2004
Posts: 20

Rep: Reputation: 0
installing spamassasain error


when i try to install spamassasain from rpm it hans when completing the install anyone have any ideas or had the same problem
 
Old 04-06-2004, 12:08 AM   #2
Pcghost
Senior Member
 
Registered: Feb 2003
Location: The Real Washington
Distribution: Debian, Android
Posts: 1,819

Rep: Reputation: 46
I would highly suggest compiling it from source. I like rpms for day to day stuff but with my postfix servers, I always compile from source.

Just download the tar.gz file, unpack it (gunzip spamassassin-<version>.tar.gz) and (tar -xvf spamassassin-<version>.tar) then follow the instructions in the file README to install it. It's actually a pretty quick and easy install from source.

If you are determined to go the RPM way, I suggest re-downloading the file and before you install it, remove any pre-existing spamassassin installation with rpm -e . Then run rpm -i spamassassin-<version>.rpm and you are off.

Make sure you update your blacklists (if you want to use them) from the list at spamassassin.org. A few have dropped off and a few more added in the last few months. I have found that properly maintained blacklist tests have a substantial effect on accuracy.
 
Old 04-06-2004, 12:17 AM   #3
frandalla
Member
 
Registered: Oct 2003
Location: Tokyo - Japan
Distribution: Slackware
Posts: 348
Blog Entries: 1

Rep: Reputation: 37
If you don't want to be troubled by downloading and installing source you can do this:

1) as root type: perl -MCPAN -e shell
2) You'll need to pass through some configuration... most of it may be default, you'll need to choose the closest mirrors to you, but that's easy there.
3)type: install Mail::Spamassassin

it might ask you about dependencies and you just need to tell it to grab them too... go to http://www.spamassassing.org and try to install the pre-requisites first - just to be on the safe side... (pre requisites installed in the same way)
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Error installing please help... jsheffie SUSE / openSUSE 1 10-22-2005 03:16 PM
error when installing gift: error: cannot compute sizeof (short), 77 v1pEr Linux - Software 5 11-04-2004 03:43 AM
Error installing Alsa (Error copying pcm_lib.c) Doleo Linux - Software 1 02-25-2004 11:53 AM
ERROR running make when installing Nvidia drivers (syntax error) randyriver10 Linux - Software 5 02-21-2004 05:51 PM
error while installing xirus Linux - Software 2 03-04-2001 03:43 PM


All times are GMT -5. The time now is 06:22 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration